/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-18 15:30:38.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.controller.v1;

import cn.com.qmth.examcloud.app.service.QuestionPoolService;
import cn.com.qmth.examcloud.app.service.UpYunService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 离线考试相关接口
 *
 * @Version v1.0
 */
@Controller
@RequestMapping("/api/v1/exam/offline")
@Api(tags = "离线考试相关接口")
public class OfflineExamController {
    private static Logger log = LoggerFactory.getLogger(OfflineExamController.class);
    @Autowired
    private QuestionPoolService questionPoolService;
    @Autowired
    private UpYunService upYunService;

    @ApiOperation(value = "下载考题接口")
    @RequestMapping(value = "/paper/download", method = {RequestMethod.GET, RequestMethod.POST})
    public String downloadPaper(@RequestParam String paperId, @RequestParam String orgName) throws Exception {
        String requestUrl = "redirect:" + questionPoolService.downloadPaper(paperId, orgName);
        log.debug(requestUrl);
        return requestUrl;
    }

    @ApiOperation(value = "下载已上传的“作答文件”接口")
    @RequestMapping(value = "/paper/answer/download", method = {RequestMethod.GET, RequestMethod.POST})
    public String downloadPaperAnswer(@RequestParam String filePath) throws Exception {
        String requestUrl = "redirect:" + upYunService.downloadPaperAnswer(filePath);
        log.debug(requestUrl);
        return requestUrl;
    }

}