/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-18 10:38:43.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.controller.v1;

import cn.com.qmth.examcloud.app.model.Result;
import cn.com.qmth.examcloud.app.service.NetExamService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * 系统服务相关接口
 *
 * @Version v1.0
 */
@RestController
@RequestMapping("/api/v1")
@Api(tags = "系统服务相关接口")
public class SystemRestController {
    @Autowired
    private NetExamService netExamService;

    @ApiOperation(value = "获取服务器当前时间接口")
    @RequestMapping(value = "/system/currentTime", method = {RequestMethod.GET, RequestMethod.POST})
    public Result getCurrentTime(@RequestHeader String key, @RequestHeader String token) throws Exception {
        return netExamService.getCurrentTime(key, token);
    }

}